<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$categorii=[1=>[' fișiere descărcări','/categorie/1-fisiere-descarcari','`zdescarcari_fisiere`','`descarcari_fisiere`','fisier'],];
if($cid>0&&in_array($cid,array_keys($categorii)))
{
$x1=$categorii[$cid][0];
$x2=$categorii[$cid][1];
$x3=$categorii[$cid][2];
$x4=$categorii[$cid][3];
}
if($_SERVER['REQUEST_URI']!='/admin-actualizeaza-dimensiune-durata-rata'.$x2)
$back[1]='<a href="/admin-actualizeaza-dimensiune-durata-rata'.$x2.'">'.img('administrare.png',1).'Actualizează dimensiune/durată/rată'.$x1.'</a>';
$titlu='Actualizează dimensiune/durată/rată'.$x1;
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
echo$div[4].img('administrare.png',1).'Actualizează dimensiune/durată/rată'.$x1.$div[5].($go==''?$div[10].'Pentru folosirea acestui meniu este necesar ca să se fi dublat tabela care vine actualizată, dar numele acestei tabele trebuie să înceapă cu litera &#34;z&#34;, tabelă care trebuie să conțină inregistrări cu ID-uri identice în tabela precedentă.<br />Acest meniu actualizează în baza de date intrările a căror dimensiune/durată/rată de biți au fost actualizate pe un alt server folosind meniul <a href="/admin-seteaza-dimensiune-durata-rata'.$x2.'">'.img('administrare.png',1).'Setează dimensiune/durată/rată'.$x1.'</a>.'.$div[0]:'');
if($conn->query('SHOW TABLES LIKE"'.mb_substr($x3,1,-1).'"')->num_rows==0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Tabela '.$x3.' nu a fost găsită în baza de date!'.$div[0];
require'f_jos.php';
}
$elemente=$conn->query('SELECT COUNT(*)FROM'.$x3)->fetch_row()[0];
if($elemente>0)
{
echo'<table><tr><th>Nume</th><th>Dimensiune</th><th>Durată</th><th>Rata de biți</th><th>`validd`</th>'.($go=='actualizeaza'?'<th>Actualizat</th><th>Eliminat</th>':'').'</tr>';
require'f_dimensiune.php';
require'f_ramas.php';
$items=$conn->query('SELECT`id`,`dimensiune`,`durata`,`rata`,`validd`FROM'.$x3.'ORDER BY`dimensiune`,`id`LIMIT 1000');
while($item=$items->fetch_row())
{
$info=$conn->query('SELECT`nume`,`dimensiune`,`durata`,`rata`,`validd`FROM'.$x4.'WHERE`id`="'.$item[0].'"')->fetch_row();
echo'<tr><td>'.htmlspecialchars($info[0]).'</td><td>'.dimensiune($item[1]).'<strong> - </strong>'.dimensiune($info[1]).'</td><td>'.ramas($item[2]).'<strong> - </strong>'.ramas($info[2]).'</td><td>'.$item[3].'<strong> - </strong>'.$info[3].'</td><td>'.$item[4].'<strong> - </strong>'.$info[4].'</td>';
if($go=='actualizeaza')
{
echo'<td>'.($conn->query('UPDATE'.$x4.'SET`dimensiune`="'.$item[1].'",`durata`="'.$item[2].'",`rata`="'.$item[3].'",`validd`="'.$item[4].'"WHERE`vizibil`>"0"&&`id`="'.$item[0].'"')==1?'da':'nu').'</td><td>'.($conn->query('DELETE FROM'.$x3.'WHERE`id`="'.$item[0].'"')==1?'da':'nu').'</td>';
$valori_modificate='';
if($info[1]>0&&$info[1]!=$item[1])
$valori_modificate.='Dimensiune veche: '.$info[1].'
Dimensiune nouă: '.$item[1].'
';
if($info[2]>0&&$info[2]!=$item[2])
$valori_modificate.='Durată veche: '.$info[2].'
Durată nouă: '.$item[2].'
';
if($info[3]>0&&$info[3]!=$item[3])
$valori_modificate.='Rata veche de biți: '.$info[3].'
Rata nouă de biți: '.$item[3].'
';
if($valori_modificate!='')
file_put_contents('log/fisiere_editate.txt','Link: '.$adresasite[0].'/'.$categorii[$cid][4].'/id/'.$item[0].'-'.seo($info[0]).'
'.$valori_modificate.'


',FILE_APPEND|LOCK_EX);
}
echo'</tr>';
}
echo'</table>'.($go=='actualizeaza'?'<meta http-equiv="refresh" content="10; url='.$_SERVER['REQUEST_URI'].'" />':$div[1].'<a href="'.$_SERVER['REQUEST_URI'].'/tip/actualizeaza">Începe actualizarea</a>'.$div[0]);
}
else
echo$div[7].'Nu sunt elemente!'.$div[0];
require'f_jos.php';